

var events = [
  {
    name: 'Fire control',
    place: '%PLANET.REGION#HOT%',
    require: ['Evolved brain', '#Curious']
  },
  {

    name: 'COVID-19',
    place: 'WORLD',
    date: 2020,
    require: ['Genome manipulation']
  },
  {
    name: '%ANIMAL% war',
    place: '%PLACE%',
    require: ['%ANIMAL% evolved']
  },
  {
    name: '%ANIMAL% evolved',
    place: '%PLACE%',
    require: ['Genome manipulation']
  },
  {
    name: 'Genome fabrication',
    place: [
      {probability: 10, value: function(event){
        return Math.rand(event.predecessors);
      }},
      {probability: 1, value: function(event) {
          return Math.rand(event.world.countries)
      }}
    ],
    require: ['Genome manipulation'],
  },
  {
    name: '%ANIMAL% creation',
    place: '%PLACE%',
    require: ['Genome fabrication']
  },

  {
    name: 'Genome manipulation',
    require: [],
    place: 'any'
  }
];
var Spread = {Normal: function(centerPercent, slope) {
  slope = slope || 1;

}};/*function(cfg) {
  Object.assign(this, cfg);
};
Spread.prototype = {
  random: Math.random,
  fn: function(){ return this.random() }
};
Spread.Normal = new Spread({ fn: function(){

}});*/


var dicts = {
  ANIMAL: {
    cat: {
      weight: 3,//[2, 7, Spread.Normal(50) ],
      humanLoyal: 5
    },
    dog: {
      weight: 12,//[5, 30, Spread.Normal(50)],
      humanLoyal: 9
    },
    crab: {
      weight: 1,//[0.4, 19, Spread.Normal(10)],
      humanLoyal: 1
    },
    parrot: {
      weight: 0.08,//[0.03, 4, Spread.Normal(10)],
      humanLoyal: 5
    }
  }


};

export {events, dicts};